Subject: Re: [PATCH] Socket filter ancilliary data access for skb->dev->type

From: Paul LeoNerd Evans <[email-masked]>
Date: Thu, 22 Apr 2010 14:11:05 +0100

On Thu, Apr 22, 2010 at 02:28:46PM +0200, Patrick McHardy wrote:
> I think we should be adding a check whether skb->dev is non-NULL here
> since filters can also be attached to netlink sockets. The same applies
> to SKF_AD_IFINDEX.

What should the appropriate behaviour be here? Set A to some rogue value
- 0 or -1 seem appropriate? Or, abort the filter entirely (such as in
e.g. divide-by-zero, or invalid memory buffer access)?

Either way that sounds simple enough, I can hack that in and resubmit.

-- 
Paul "LeoNerd" Evans

[email-masked]
ICQ# 4135350       |  Registered Linux# 179460
http://www.leonerd.org.uk/